package com.engine.sskj.service.impl;

import cn.hutool.core.date.DateUtil;
import com.engine.core.impl.Service;
import com.engine.kq.util.KQDurationCalculatorUtil;
import com.engine.sskj.service.KqWorkflowService;
import com.engine.sskj.util.SskjUtil;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;
import weaver.general.BaseBean;
import weaver.general.Util;

import java.util.*;

public class KqWorkflowServiceImpl extends Service implements KqWorkflowService {

    BaseBean basebean = new BaseBean();

    @Override
    public Map<String, Object> calWorkTime(Map<String, Object> params) {

        Map<String, Object> result = new HashMap<>();

        String startTime = Util.null2String(params.get("starttime"));
        basebean.writeLog("startTime: " + startTime);
        String endTime = Util.null2String(params.get("endtime"));
        basebean.writeLog("endTime: " + endTime);

        if (StringUtils.isBlank(startTime) || StringUtils.isBlank(endTime)) {
            result.put("code",500);
            result.put("msg", "开始时间或结束时间为空");
            return result;
        }
        if (startTime.length() == 16) {
            startTime = startTime + ":00";
        }
        if (endTime.length() == 16) {
            endTime = endTime + ":00";
        }
        SskjUtil sskjUtil = new SskjUtil();
        long time = sskjUtil.getTime(startTime, endTime);
        basebean.writeLog("time: " + time);

        String betweenHours = KQDurationCalculatorUtil.getDurationRound(String.valueOf(Util.getDoubleValue(time+"")/60.0));
        basebean.writeLog("betweenHours: " + betweenHours);

        result.put("code",200);
        result.put("data",betweenHours);
        return result;
    }
}
